#include <cstdio>
#include <vector>
#include <algorithm>
#include <cmath>
#include <set>
#include <iostream>
#include <cassert>
#include <cstring>

#define FOR(i,a,b) for (int i = (a); i < (b); ++i)
#define REP(i,n) FOR(i,0,n)

#define TRACE(x) cerr << #x << " = " << x << endl
#define _ << " _ " <<

#define pb push_back
#define X first
#define Y second

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

const int MAXN = 1<<20;

ll rje[MAXN];

int main(){
  ios_base::sync_with_stdio(false);

  FOR(i, 1, MAXN) {
    for (int j=i+1; (ll) j*i < MAXN; j++)
      for (int k=j+1; (ll) j*i*k < MAXN; k++)
	rje[i*j*k]++;
  }

  FOR(i, 1, MAXN)
    rje[i] += rje[i-1];

  int tt;
  scanf("%d", &tt);

  while(tt--) {
    int x;
    scanf("%d", &x);
    printf("%lld\n", rje[x]);
  }
  
  
  return 0;
}
