#include <cstdio>
#include <vector>
#include <algorithm>
#include <cmath>
#include <set>
#include <iostream>
#include <cassert>
#include <cstring>

#define FOR(i,a,b) for (int i = (a); i < (b); ++i)
#define REP(i,n) FOR(i,0,n)

#define TRACE(x) cerr << #x << " = " << x << endl
#define _ << " _ " <<

#define pb push_back
#define X first
#define Y second

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

int n, a, b;

bool dpB(int, int, int);

bool dpA(int x, int y, int z){
  if (x < 0 || y < 0 || z < 0) return true;
  static bool memo[105][105][105];
  static bool bio[105][105][105];
  bool &r = memo[x][y][z];
  if (bio[x][y][z]++) return r;
  FOR(i,1,a+1){
    r |= !dpB(x-i, y, z);
    r |= !dpB(x, y-i, z);
    r |= !dpB(x, y, z-i);
  } return r;
}

bool dpB(int x, int y, int z){
  if (x < 0 || y < 0 || z < 0) return true;
  static bool memo[105][105][105];
  static bool bio[105][105][105];
  bool &r = memo[x][y][z];
  if (bio[x][y][z]++) return r;
  FOR(i,1,b+1){
    r |= !dpA(x-i, y, z);
    r |= !dpA(x, y-i, z);
    r |= !dpA(x, y, z-i);
  } return r;
}

int main(){
  ios_base::sync_with_stdio(false);

  int x[100005];
  cin >> n >> a >> b;
  REP(i,n) cin >> x[i];
  assert(n == 3);
  cout << (dpA(x[0], x[1], x[2]) ? "Petyr" : "Varys") << endl;
  
  return 0;
}
