#include <cstdio>
#include <vector>
#include <algorithm>
#include <cmath>
#include <set>
#include <iostream>
#include <cassert>
#include <cstring>

#define FOR(i,a,b) for (int i = (a); i < (b); ++i)
#define REP(i,n) FOR(i,0,n)

#define TRACE(x) cerr << #x << " = " << x << endl
#define _ << " _ " <<

#define pb push_back
#define X first
#define Y second

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

void first(){cout << "Petyr" << endl; exit(0);}
void second(){cout << "Varys" << endl; exit(0);}

int n, a, b;
int x[1000005];
int g[1000005];

void def(){
  int tmp = 0;
  REP(i,n) tmp ^= g[i];
  if (tmp == 0) second();
  else first();  
}

bool jumpable(int curr, int nxt){
  if (curr <= nxt) return false;
  if (curr - a > nxt) return false;
  return true;
}

int main(){
  ios_base::sync_with_stdio(false);

  cin >> n >> a >> b;
  REP(i,n) cin >> x[i];

  REP(i,n) g[i] = x[i] % (min(a, b) + 1);

  if (a == b){
    def();
  }

  if (a > b){
    int cnt = 0;
    REP(i,n) if (x[i] > b) ++cnt;
    if (cnt >= 1) first();
    else def();
  }

  if (a < b){
    int cnt = 0;
    REP(i,n) if (x[i] > a) ++cnt;
    if (cnt >= 2) second();
    if (cnt == 0) def();
    int id = 0;
    REP(i,n) if (x[i] > a) id = i;
    int tmp = 0;
    REP(i,n) if (i != id) tmp ^= g[i];
    if (!jumpable(x[id], tmp)) second();
    if (tmp > a) second();
    first();
  }
  
  return 0;
}
